Package org.apache.solr.client.solrj.request.beans

# Class MoveReplicaPayload

java.lang.Object
org.apache.solr.client.solrj.request.beans.MoveReplicaPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`, `org.noggit.JSONWriter.Writable`

public class MoveReplicaPayload extends Object implements ReflectMapWriter

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

Fields
Modifier and Type
Field
Description
`Boolean`
`followAliases`
`Boolean`
`inPlaceMove`
`String`
`replica`
`String`
`shard`
`String`
`sourceNode`
`String`
`targetNode`
`Integer`
`timeout`
`Boolean`
`waitForFinalState`
Deprecated.

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`MoveReplicaPayload()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

## Field Details

### targetNode

public String targetNode

### replica

public String replica

### shard

public String shard

### sourceNode

public String sourceNode

### waitForFinalState

@Deprecated(since="9.10") public Boolean waitForFinalState
Deprecated.

### timeout

public Integer timeout

### inPlaceMove

public Boolean inPlaceMove

### followAliases

public Boolean followAliases

## Constructor Details

### MoveReplicaPayload

public MoveReplicaPayload()